OptionSpec Class Reference

## Public Member Functions

| OptionSpec (const char *decl=NULLSTR)
| OptionSpec (const OptionSpec &cp)
OptionSpec & | operator= (const OptionSpec &cp)
OptionSpec & | operator= (const char *decl)
| operator const char * ()
int | isNULL (void) const
int | isSyntaxError (const char *name) const
int | isHiddenOpt (void) const
char | OptChar (void) const
const char * | LongOpt (void) const
int | isValRequired (void) const
int | isValOptional (void) const
int | isNoArg (void) const
int | isList (void) const
int | isValTaken (void) const
unsigned | Format (char *buf, unsigned optctrls) const
| OptionSpec (const char *decl=NULLSTR)
| OptionSpec (const OptionSpec &cp)
OptionSpec & | operator= (const OptionSpec &cp)
OptionSpec & | operator= (const char *decl)
| operator const char * ()
int | isNULL (void) const
int | isSyntaxError (const char *name) const
int | isHiddenOpt (void) const
char | OptChar (void) const
const char * | LongOpt (void) const
int | isValRequired (void) const
int | isValOptional (void) const
int | isNoArg (void) const
int | isList (void) const
int | isValTaken (void) const
unsigned | Format (char *buf, unsigned optctrls) const

The documentation for this class was generated from the following file:

- apps/elftosb/common/options.cpp